%global         momorel 1

Name:           perl-File-ShareDir-ProjectDistDir
Version:        1.000004
Release:        %{momorel}m%{?dist}
Summary:        File::ShareDir::ProjectDistDir Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-ShareDir-ProjectDistDir/
Source0:        http://www.cpan.org/authors/id/K/KE/KENTNL/File-ShareDir-ProjectDistDir-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006
BuildRequires:  perl-Carp
BuildRequires:  perl-File-ShareDir
BuildRequires:  perl-File-Temp
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Path-Class
BuildRequires:  perl-Path-FindDev
BuildRequires:  perl-Path-IsDev
BuildRequires:  perl-Sub-Exporter
BuildRequires:  perl-Test-Simple >= 0.98
Requires:       perl-Carp
Requires:       perl-File-ShareDir
Requires:       perl-Path-Class
Requires:       perl-Path-FindDev
Requires:       perl-Path-IsDev
Requires:       perl-Sub-Exporter
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
NAME    File::ShareDir::ProjectDistDir - Simple set-and-forget using of a
'/share' directory in your projects root

%prep
%setup -q -n File-ShareDir-ProjectDistDir-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json perlcritic.rc README weaver.ini
%{perl_vendorlib}/File/ShareDir/ProjectDistDir.pm
%{_mandir}/man3/*

%changelog
* Sun Oct  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.000004-1m)
- update to 1.000004

* Sun Aug  3 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.000002-1m)
- update to 1.000002

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.000001-2m)
- rebuild against perl-5.20.0

* Sun Mar  9 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.000001-1m)
- update to 1.000001

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.2-2m)
- rebuild against perl-5.18.2

* Sat Sep 28 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.2-1m)
- update to 0.5.2

* Mon Sep 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.1-1m)
- update to 0.5.1

* Sun Sep 15 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.4-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
